#pragma once
#include <saas/deploy_manager/scripts/broadcast/broadcast.h>

namespace NRTYDeploy {
    class TScriptDeployPing : public TScriptBroadcast {
    public:
        static TFactory::TRegistrator<TScriptDeployPing> Registrator;
        TScriptDeployPing();
        virtual bool Process(IDeployInfoRequest& request) override;
        virtual void DoPrepareJsonForReply(const TBroadcastSlotData& slot, NJson::TJsonValue& reply) override;
        virtual TString Help() override { return "ctype - necessary parameter, service - optional (may be indexerproxy or searchproxy)"; }
    };
}
